For the complete documentation index, see llms.txt. This page is also available as Markdown.

User

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/user/
GET /api/v1/dashboard/user/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
user_idstringRequired
Responses
200

No response body

No content

get/api/v1/dashboard/user/{user_id}/
GET /api/v1/dashboard/user/{user_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
user_idstringRequired
Responses
204

No response body

No content

delete/api/v1/dashboard/user/{user_id}/
DELETE /api/v1/dashboard/user/{user_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

patch
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
user_idstringRequired
Responses
200

No response body

No content

patch/api/v1/dashboard/user/{user_id}/
PATCH /api/v1/dashboard/user/{user_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/user/csv/
GET /api/v1/dashboard/user/csv/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

post

Create Forgot Password.

Authorizations
sessionidstringOptional
Responses
200

Forgot-password email sent

No content

post/api/v1/dashboard/user/forgot-password/
POST /api/v1/dashboard/user/forgot-password/ HTTP/1.1
Accept: */*
200

Forgot-password email sent

No content

get

Retrieve User Info.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/user/info/
GET /api/v1/dashboard/user/info/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "roles": "text",
    "profile_pic": "text",
    "dynamic_type": "text",
    "user_domains": "text",
    "user_endgoals": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true,
    "company": "text"
  }
}
get

Retrieve User Add Org.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/user/organization/
GET /api/v1/dashboard/user/organization/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "org_id": "text",
    "org_title": "text",
    "dept_id": "text",
    "dept_title": "text",
    "is_alumni": true
  }
}
post

Create User Add Org.

Authorizations
sessionidstringOptional
Body
departmentstring · nullableOptional
graduation_yearstring · nullableOptional
organizationstring · nullableRequired
is_alumnibooleanOptional
is_studentboolean · nullableOptionalDefault: false
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/user/organization/
POST /api/v1/dashboard/user/organization/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "department": "text",
  "graduation_year": "text",
  "organization": "text",
  "is_alumni": true,
  "is_student": false
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "department": "text",
    "graduation_year": "text",
    "organization": "text",
    "is_alumni": true,
    "is_student": false
  }
}
get

Retrieve User Add Org.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/user/organization/list/
GET /api/v1/dashboard/user/organization/list/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "org_id": "text",
    "org_title": "text",
    "dept_id": "text",
    "dept_title": "text",
    "is_alumni": true
  }
}
post

Create User Add Org.

Authorizations
sessionidstringOptional
Body
departmentstring · nullableOptional
graduation_yearstring · nullableOptional
organizationstring · nullableRequired
is_alumnibooleanOptional
is_studentboolean · nullableOptionalDefault: false
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/user/organization/list/
POST /api/v1/dashboard/user/organization/list/ HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 104

{
  "department": "text",
  "graduation_year": "text",
  "organization": "text",
  "is_alumni": true,
  "is_student": false
}
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "department": "text",
    "graduation_year": "text",
    "organization": "text",
    "is_alumni": true,
    "is_student": false
  }
}
get

Retrieve User Preferences.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/user/preferences/
GET /api/v1/dashboard/user/preferences/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "roles": "text",
    "profile_pic": "text",
    "dynamic_type": "text",
    "user_domains": "text",
    "user_endgoals": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true,
    "company": "text"
  }
}
patch

Partially update User Preferences.

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/user/preferences/
PATCH /api/v1/dashboard/user/preferences/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "roles": "text",
    "profile_pic": "text",
    "dynamic_type": "text",
    "user_domains": "text",
    "user_endgoals": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true,
    "company": "text"
  }
}
post

Create User Profile Picture.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/user/profile/update/
POST /api/v1/dashboard/user/profile/update/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "roles": "text",
    "profile_pic": "text",
    "dynamic_type": "text",
    "user_domains": "text",
    "user_endgoals": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true,
    "company": "text"
  }
}
patch

Partially update User Profile Picture.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
patch/api/v1/dashboard/user/profile/update/
PATCH /api/v1/dashboard/user/profile/update/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text",
    "full_name": "text",
    "email": "name@gmail.com",
    "mobile": "text",
    "gender": "Male",
    "dob": "2026-01-01",
    "exist_in_guild": true,
    "joined": "text",
    "roles": "text",
    "profile_pic": "text",
    "dynamic_type": "text",
    "user_domains": "text",
    "user_endgoals": "text",
    "interested_in_work": true,
    "interested_in_gig_work": true,
    "company": "text"
  }
}
post

Create Reset Password Confirm.

Authorizations
sessionidstringOptional
Path parameters
tokenstringRequired
Responses
200

Password reset confirmation

No content

post/api/v1/dashboard/user/reset-password/{token}/
POST /api/v1/dashboard/user/reset-password/{token}/ HTTP/1.1
Accept: */*
200

Password reset confirmation

No content

post

Create Reset Password Verify Token.

Authorizations
sessionidstringOptional
Path parameters
tokenstringRequired
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
post/api/v1/dashboard/user/reset-password/verify-token/{token}/
POST /api/v1/dashboard/user/reset-password/verify-token/{token}/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "muid": "text"
  }
}

Retrieve User Search.

Authorizations
sessionidstringOptional
Responses
200Success
application/json
hasErrorbooleanRequiredDefault: falseExample: false
statusCodeintegerRequiredDefault: 200Example: 200
get/api/v1/dashboard/user/search/
GET /api/v1/dashboard/user/search/ HTTP/1.1
Accept: */*
200Success
{
  "hasError": false,
  "statusCode": 200,
  "message": {
    "general": [
      "text"
    ]
  },
  "response": {
    "id": "text",
    "full_name": "text",
    "muid": "text",
    "interest_groups": "text",
    "organizations": "text",
    "profile_pic": "text",
    "karma": "text"
  }
}
get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/user/verification/
GET /api/v1/dashboard/user/verification/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

delete
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
204

No response body

No content

delete/api/v1/dashboard/user/verification/
DELETE /api/v1/dashboard/user/verification/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

patch
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

patch/api/v1/dashboard/user/verification/
PATCH /api/v1/dashboard/user/verification/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
link_idstringRequired
Responses
200

No response body

No content

get/api/v1/dashboard/user/verification/{link_id}/
GET /api/v1/dashboard/user/verification/{link_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
link_idstringRequired
Responses
204

No response body

No content

delete/api/v1/dashboard/user/verification/{link_id}/
DELETE /api/v1/dashboard/user/verification/{link_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
204

No response body

No content

Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Path parameters
link_idstringRequired
Responses
200

No response body

No content

patch/api/v1/dashboard/user/verification/{link_id}/
PATCH /api/v1/dashboard/user/verification/{link_id}/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

get
Authorizations
AuthorizationstringOptional

JWT Token Authentication. Enter "Bearer "

Responses
200

No response body

No content

get/api/v1/dashboard/user/verification/csv/
GET /api/v1/dashboard/user/verification/csv/ HTTP/1.1
Authorization: YOUR_API_KEY
Accept: */*
200

No response body

No content

Last updated

Was this helpful?